Issue147

classification
Title Possible bug with mouse buttons 8 and 9
Type defect Module core code 21.5
Severity inconvenience Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder Possible bug with mouse buttons 8 and 9
View: 66
  Submitted 2007-11-03.14:53:03
Priority normal   Assigned To

Created on 2008-01-19.06:43:01 by datakoti, last changed 2008-01-23.10:20:30 by stephen.

Messages
msg204 [hidden] ([hidden]) Date: 2008-01-19.06:43:01
  Message-ID: <45485.193.166.92.222.1194101583.squirrel@webmail.woodnet.fi>
I'm not very experienced in Linux, so some crucial information may be
missing from this report. I will answer further questions if needed.

I have a Logitech MX510 mouse. I also use Fedora 7 and have updated XEmacs
to the latest version using "yum update xemacs". Version is 21.5 (beta28).

There seems to be something really wrong with the thumb buttons, which are
buttons 8 and 9 by default. Using this init:

(global-set-key 'button8 'copy-primary-selection)
(global-set-key 'button9 'yank-clipboard-selection)

XEmacs just says "button8 undefined" and "button9 undefined". Nevertheless
if I map those buttons to button6 and 7 using .Xmodmap and change the init
to

(global-set-key 'button6 'copy-primary-selection)
(global-set-key 'button7 'yank-clipboard-selection)

, it works. In GNU Emacs I don't have to map anything, buttons 8 and 9
work just fine. But it gets even stranger: If I in XEmacs interactivly
bind button8 using ALT-x global-set-key, press the button which it
recognizes as button8 and type global-set-key, it works. But only until I
do the same with button9. Then BOTH buttons stop working.

I have 32bit Fedora 7 on 32bit CPU.

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-01-23 10:20:30stephensetstatus: new -> closed
priority: normal
reason: superseded
severity: inconvenience
platform: + N/A
type: defect
superseder: + Possible bug with mouse buttons 8 and 9
module: + core code 21.5
2008-01-19 06:43:01datakoticreate